package com.loafle.bridge.collector;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by root on 16. 11. 15.
 */

@RestController
public class CollectorController {

    @Autowired
    private CollectorRepository repository;

    @RequestMapping(value = "/collector/p/{productId}", method = RequestMethod.GET)
    public Collector getByProductId(@PathVariable String productId) {
        return repository.findByPID(productId);
    }

}
