package com.loafle.bridge.collector;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.data.rest.core.annotation.RepositoryRestResource;

/**
 * Created by root on 16. 11. 15.
 */
@RepositoryRestResource(collectionResourceRel = "collector", path = "collector")
public interface CollectorRepository extends JpaRepository<Collector, Long> {

    @Query("SELECT c FROM Collector c where c.productId = :productId")
    Collector findByPID(@Param("productId") String productId);
}
